Magic Lantern Forum

Using Magic Lantern => General Help Q&A => Topic started by: Hey on May 07, 2014, 02:32:45 PM

Title: Really afraid to install a nightly
Post by: Hey on May 07, 2014, 02:32:45 PM
Hi everybody,

so I've been using and loving ML for almost a year, but now I'm dying to try out the the new features, until now I've been waiting for a stable release but yeah, it's been two years...

The problem is my 500D is not entirely mine, it's my father's so I am really really scared to install a nightly. Are they safe now ? Does anyone with a 500D can confirm that certain nightly is working perfectly ? Or you think now there shouldn't be any problem with the latest ones ?

Thanks in advance for your help!
Title: Re: Really afraid to install a nightly
Post by: Walter Schulz on May 07, 2014, 03:07:22 PM
Speak with your father!
You have a strange concept about ML and risks involved. Even if there is not a single person having problems with this type of cam doesn't constitute a proof that *your* single piece of hardware will not turn into a paperweight.
ML's devs are limited to reverse engineering. No Canon employee taking care about pitfalls and mines on the way.

Again: Speak with your father. Life is just another word for risk. For some risks you have the chance to decide which one to take and which one to avoid.
Title: Re: Really afraid to install a nightly
Post by: Hey on May 07, 2014, 03:15:49 PM
Haha that's not going to work! But there is a bit of background for that, like I already bricked an iphone doing nasty things on it. :P Yeah between keeping the stock features and taking this risk he is not going to think more than 2 seconds... Plus as he is using the camera only on our holiday trips he doesn't understand what the features could do, and the UI creeps him out!  :)

Again, I'm still terrified thinking the canon won't work again, don't know what to do.  :(
Title: Re: Really afraid to install a nightly
Post by: Hey on May 07, 2014, 09:40:11 PM
Alright, after a week or so of hesitation I installed today's nightly! And everything seems to be working fine! The only thing I noticed is the "lag", it now takes a bit more time to do anything but I guess that's nothing. So yeah, 07/05/14 's nightly is good on the 500D.
Title: Re: Really afraid to install a nightly
Post by: Braga on May 24, 2014, 09:50:25 AM
Good for you  :)
I often load the latest nightly in my 550D.
And it still works like a charm... despite some occasional freezes ... 
Title: Re: Really afraid to install a nightly
Post by: Marsu42 on May 24, 2014, 10:51:57 AM
The problem is my 500D is not entirely mine, it's my father's so I am really really scared to install a nightly. Are they safe now ?

Even the current "stable" ML on your 550d is not "safe", and a satellite might come crashing down right now and kill you where you sit. But concerning "nightly": It's the "new stable" and is probably better bugfixed than the old "stable" version" because all development nowadays happens in branches, new code is only merged after testing.
Title: Re: Really afraid to install a nightly
Post by: Hey on May 24, 2014, 01:40:17 PM
That's what I realized, now I'm checking everyday for new changes and I just installed today's nightly. It's so much better than before, but yeah all the big red warnings all over the forums/read me are kind of scary...